APIs / Hacker News / User

Hacker News: User

User from Hacker News as JSON. 1 credit per successful call.

GET /v1/hacker-news/userNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
idstringRequiredUp to 30 characters
submissionsbooleanOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/hacker-news/user?id=mlukewizard&submissions=1" \
  -H "X-API-Key: $API_KEY"